// data.service.ts
import { Injectable } from '@angular/core';
import { UnidadOrganizativa } from './model';

@Injectable({
  providedIn: 'root',
})
export class DataService {
  private unidadesOrganizativas: UnidadOrganizativa[] = [
    {
      id: 1,
      nombre: 'Unidad Organizativa 1',
      aulas: [
        {
          id: 1,
          nombre: 'Aula 1',
          clientes: [
            { id: 1, nombre: 'Cliente 1' },
            { id: 2, nombre: 'Cliente 2' },
          ],
        },
        {
          id: 2,
          nombre: 'Aula 2',
          clientes: [{ id: 3, nombre: 'Cliente 3' }],
        },
      ],
    },
    // Otros datos de ejemplo
  ];

  getUnidadesOrganizativas(): UnidadOrganizativa[] {
    return this.unidadesOrganizativas;
  }
}
